-- base schema

-- notnulls are tmp till i deal with proper validation
create table doll_profiles (
    id uuid not null primary key,
    public_id char(6) not null, -- 000000 format
    created_at timestamptz not null default current_timestamp,
    updated_at timestamptz,

    -- base info
    name varchar(255) not null,
    pronouns varchar(255) not null, -- format as `{subject}/{object}/{possessive}` eg `she/her/hers`
    handler_name text not null,
    handler_url text not null,

    -- customisation options for various entities
    description text not null,
    kind varchar(255) not null,
    breed varchar(255) not null,
    chassis_type varchar(255) not null,
    chassis_id varchar(255) not null,
    chassis_color varchar(255) not null,

    -- ID'ing
    behaviour varchar(255) not null,
    microchipped boolean not null,

    unique (public_id)
);
